wxFileDirPickerEvent(3)

NAME
wxFileDirPickerEvent - This event class is used for the events generated by wxFilePickerCtrl and by wxDirPickerCtrl.

DESCRIPTION

See:

    • wxFilePickerCtrl

    • wxDirPickerCtrl

This class is derived, and can use functions, from:

    • wxCommandEvent

    • wxEvent

wxWidgets docs: wxFileDirPickerEvent

  Events

Use wxEvtHandler:connect/3 with wxFileDirPickerEventType to subscribe to events of this type.

DATA TYPES

wxFileDirPicker() :: #wxFileDirPicker{}.
wxFileDirPickerEvent() :: wx:wx_object().
wxFileDirPickerEventType() :: command_filepicker_changed | command_dirpicker_changed.

FUNCTIONS

getPath(This) -> unicode:charlist() when This :: wxFileDirPickerEvent().

    Retrieve the absolute path of the file/directory the user has just selected.